---
search:
  tags:
    - Products
    - PUT
seo:
  description: >-
    Set a product's native bundle flag. Reference for the PUT
    /v1/organizations/{orgId}/products/{productId}/bundle endpoint in the
    Stashtab Vault Warehouse API.
sidebar:
  label: Set a product's native bundle flag
  badge: PUT
title: Set a product's native bundle flag
type: openapi-operation
---
`PUT /v1/organizations/{orgId}/products/{productId}/bundle`

**Request body** (`application/json`, required)

- `isBundle` (boolean, required)
- `expectedRevision` (string, required)
- `submissionKey` (string, required)

Request body example:

```json
{
  "isBundle": true,
  "expectedRevision": "string",
  "submissionKey": "stringst"
}
```

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "effects": [
      "string"
    ],
    "operationId": "string",
    "outcome": "confirmed",
    "productId": "string",
    "isBundle": true,
    "revision": "string"
  },
  "meta": {
    "requestId": "string"
  }
}
```
